package de.ozgcloud.client.autoconfigure;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import de.ozgcloud.apilib.autoconfig.ApiLibTestApplication;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangService;

@SpringBootTest(classes = ApiLibTestApplication.class)
class OzgCloudStarterITCase {

	@Autowired(required = false)
	private OzgCloudVorgangService vorgangService;

	@Test
	void shouldInitializeVorgangService() {
		assertThat(vorgangService).isNotNull();
	}
}
